Cancel scheduled checkout
Provides an option for external clients to cancel an scheduled checkout
Overview
The Checkout Payment Delete API allows clients to request the cancellation of a scheduled checkout payment. The deletion process may require user consent. The API provides information on whether user consent is needed, whether the operation succeeded, or if the client should retry.
Endpoint
DELETE /api/v1/ext/checkout-requests/{id}
Description
The request requires a redirect URL where the user would be redirected after the consent is provided. In case user consent is required to complete the process.
Request Header
api-key : your-api-keyRequest Body (JSON)
Please note some HTTP clients libraries drop the body while peforming DELETE requests, please make sure you are sending the body.
{
"redirectUrl": "https://example.com/redirect-post-sca"
}Request Fields Reference
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | true | ID to uniquely identify the checkout request payment. |
| api-key | header | string | true | Key to uniquely identify the client. |
| redirectUrl | body | string | true | Where the user would be redirected after the consent is provided. (in case of user consent) |
Description
The response contains the status of the deletion request. The system may require user consent, may succeed immediately, or may suggest retrying because of an internal bank error.
Success Response (200 OK)
When the deletion is successful and no user consent is required:
{
"consentRequired": false,
"consentUrl": null,
"success": true,
"retryable": false
}Consent Required Response (200 OK)
When user consent is required before the deletion can be processed:
{
"consentRequired": true,
"consentUrl": "https://consent-url",
"success": false,
"retryable": false
}Retry Suggested Response (200 OK)
When the operation failed due to an internal error but may succeed if retried:
{
"consentRequired": false,
"consentUrl": null,
"success": false,
"retryable": true
}Response Fields Reference
| Name | In | Type | Description |
|---|---|---|---|
| consentRequired | body | boolean | Indicates whether additional user consent is required to process the deletion. |
| consentUrl | body | string | If consent is required, the URL where the user should provide consent. |
| success | body | boolean | Indicates whether the operation succeeded. |
| retryable | body | boolean | Indicates if the operation failed but may succeed if retried. |
The payment is now cancelled 🛹
Updated 9 months ago
